PipeWire: spa_meta_cursor Struct Reference

PipeWire 1.2.3

Loading...
Searching...
No Matches
Data Fields
spa_meta_cursor Struct Reference
SPA » Buffers

Cursor information. More...

`#include <spa/buffer/meta.h>`

## Data Fields
uint32_t | id
| cursor id.
uint32_t | flags
| extra flags
struct spa_point | position
| position on screen
struct spa_point | hotspot
| offsets for hotspot in bitmap, this field has no meaning when there is no valid bitmap (see below)
uint32_t | bitmap_offset
| offset of bitmap meta in this structure.

## Detailed Description

Cursor information.

Metadata to describe the position and appearance of a pointing device.

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## Field Documentation

## ◆ id

uint32_t spa_meta_cursor::id

cursor id.

an id of 0 is an invalid id and means that there is no new cursor data

Examples
  video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ flags

uint32_t spa_meta_cursor::flags

extra flags

## ◆ position

struct spa_point spa_meta_cursor::position

position on screen

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ hotspot

struct spa_point spa_meta_cursor::hotspot

offsets for hotspot in bitmap, this field has no meaning when there is no valid bitmap (see below)

Examples
  video-dsp-src.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

## ◆ bitmap_offset

uint32_t spa_meta_cursor::bitmap_offset

offset of bitmap meta in this structure.

When the offset is 0, there is no new bitmap information. When the offset is >= sizeof(struct spa_meta_cursor) there is a struct spa_meta_bitmap at the offset.

Examples
  video-dsp-src.c, video-play-pull.c, video-play.c, video-src-alloc.c, video-src-fixate.c, video-src-reneg.c, and video-src.c.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h